Subject: Re: bug#64347: 30.0.50; Some customize faces shown as edited with -Q

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jul 2023 15:47:53 +0300

> Date: Sun, 9 Jul 2023 20:12:38 -0300
> Cc: [email-masked], [email-masked]
> From: Mauro Aranda <[email-masked]>
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>  > OK, but why does it have to do that on the original value? It could
>  > do that on a copy that serves for the display and editing, in which
>  > case the original value could be left intact if the user didn't change
>  > it or did change, but didn't click Apply.  (If the user does modify
>  > the original value, then any conversions are okay, since the variable
>  > is really "edited".)
> 
> I think my description was inaccurate, because it seemed to imply that
> it is a destructive operation.  It is not, it leaves the original value
> intact.
> 
> But when deciding to set a state, Custom always consults the spec built
> from the data the face Widget has.

Can we change this last aspect, so that the state is set using the
original spec if the setting was not changed by the user?